Skip to content

Get Component Creative by ID

Request

Retrieve a component creative object using the creative ID with JWT authentication. Supports various asset types including text, image, video, and subtitle assets.

Security
BearerAuth
Path
atomic_creative_idintegerrequired

Creative ID

Example:4838137
Query
includestring

Comma-separated list of additional data to include

Value:"previews"
Example:include="previews"
GET
/component_creatives/v3.0/creatives/{atomic_creative_id}
curl -i -X GET \
  'https://api.mediamath.com/component_creatives/v3.0/creatives/4838137?include=%22previews%22' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Component creative retrieved successfully

Bodyapplication/json
dataobject(models.ComponentCreativeData)

Component Creative object with assets and metadata

metaobject(models.MetaInfo)

Response metadata

Response
{ "data": { "advertiser_id": 0, "advertiser_name": "string", "assets": [], "atomic_creative_id": 0, "clickthrough_url": "string", "concept_id": "string", "concept_name": "string", "creative_id": 0, "creative_name": "string", "end_date": "string", "external_identifier": "string", "fb_status": "string", "feedback": {}, "landing_url": "string", "last_modified": "string", "last_published": "string", "previews": {}, "start_date": "string", "status": true, "unpublished": true }, "meta": { "code": 0, "count": 0, "next_page": "string", "offset": 0, "prev_page": "string", "status": "string", "total_count": 0, "type": "string" } }